
!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 1/20/2004 22:33'!
graphContext
	"Answer a NCGraphModel to hold graph model items at my level, or nil.
	By default, this is held in the closest PasteUpMorph."
	^self valueOfProperty: #graphContext
		ifAbsent: [ self pasteUpMorphOrWorld graphContext ]! !

!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 1/20/2004 21:40'!
graphContextOrNil
	"Answer a NCGraphModel to hold graph model items at my level, or nil.
	By default, this is held in the closest PasteUpMorph."
	^self valueOfProperty: #graphContext.! !

!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 8/18/2004 18:57'!
graphContext: anObject
	self setProperty: #graphContext toValue: anObject! !

!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 1/20/2004 17:10'!
graphModel
	^self valueOfProperty: #graphModel! !

!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 8/18/2004 18:58'!
graphModel: anObject
	self setProperty: #graphModel toValue: anObject! !

!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 5/13/2003 09:48'!
pasteUpMorphOrWorld
	"Answer the closest containing morph that is a PasteUp morph.
	If none, answer the world."
	self allOwnersDo: [:m | (m isPlayfieldLike) ifTrue: [^ m]].
	^ ActiveWorld! !

!Morph methodsFor: '*cgprereqs-structure' stamp: 'nk 7/17/2004 16:14'!
releaseGraphModels
	self graphModel: nil.
	self graphContext: nil
! !

!PasteUpMorph methodsFor: '*cgprereqs-structure' stamp: 'nk 1/20/2004 22:07'!
graphContext
	^self valueOfProperty: #graphContext! !
